# application




# embedded server



# datasource

# 侨城汇 rds
spring.datasource.url=jdbc:mysql://rm-wz91301o191xp4d1z.mysql.rds.aliyuncs.com/welfaredata?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
spring.datasource.username=chaojiqiantai2
spring.datasource.password=@octlife202006


# redis
spring.redis.host=127.0.0.1
spring.redis.port=6379
spring.redis.database=0
spring.redis.password=jR1U5xBcjCct9l66
spring.redis.timeout=60000ms

#SpringBoot 2.X版本整合 Redis时，偶尔出现连接超时情况 2.x 版本自带的Redis客户端是 lettuce
spring.redis.jedis.pool.minIdle=0
spring.redis.jedis.pool.maxIdle=8
spring.redis.jedis.pool.maxWait=-1
spring.redis.jedis.pool.maxActive=8



# mybatis & pagehelper

# Dubbo Registry
dubbo.registry.address=zookeeper://192.168.0.100:2181

# Dubbo Protocol
dubbo.application.name=provider

dubbo.protocol.name=dubbo
dubbo.protocol.port=20880
dubbo.protocol.payload=52428800

dubbo.provider.retries=0
dubbo.provider.timeout=10000


zookeeper.servers=192.168.0.100:2181
# 指定分布式锁路径
zookeeper.lock_path=/lock/
# session超时时间
zookeeper.session_timeout_ms=60000
# 连接超时时间
zookeeper.connection_timeout_ms=5000
# 尝试获取锁最大重试次数
zookeeper.retry_count=5
# 重试间隔时间
zookeeper.elapsed_time_ms=1000

# push message url & h5 url
pushMessage.orgId=627
pushMessage.url=http://wx.palmnest.com/super_service/wechat/pushmsgout/phonemsg
h5.url=http://119.23.39.237/avicfile/ordermanger/h5/#/


excel.export.enabled=true
excel.export.path.root=/data/wwwroot/uniorderatt.octlife.cn/tmp
excel.export.path.template=/template
excel.export.path.storage=/_storage


goods.transport.fiscal_code=3040409030000000000
goods.transport.tax_code=3040409030000000000
goods.transport.tax_rate=6



# 关于调用第三方Api
retrofit.pool.test1.max-idle-connections=3
retrofit.pool.test1.keep-alive-second=100
retrofit.disable-void-return-type=false
retrofit.global-converter-factories[0]=com.github.lianjiatech.retrofit.spring.boot.core.BasicTypeConverterFactory
retrofit.global-converter-factories[1]=retrofit2.converter.jackson.JacksonConverterFactory
retrofit.global-call-adapter-factories[0]=com.github.lianjiatech.retrofit.spring.boot.core.BodyCallAdapterFactory
retrofit.global-call-adapter-factories[1]=com.github.lianjiatech.retrofit.spring.boot.core.ResponseCallAdapterFactory
retrofit.log.enable=true
retrofit.log.logging-interceptor=com.github.lianjiatech.retrofit.spring.boot.interceptor.DefaultLoggingInterceptor
retrofit.log.global-log-level=info
retrofit.log.global-log-strategy=body
retrofit.retry.enable-global-retry=true
retrofit.retry.global-interval-ms=1
retrofit.retry.global-max-retries=1
retrofit.retry.global-retry-rules[0]=response_status_not_2xx
retrofit.retry.global-retry-rules[1]=occur_io_exception
retrofit.retry.retry-interceptor=com.github.lianjiatech.retrofit.spring.boot.retry.DefaultRetryInterceptor
retrofit.degrade.enable=true
retrofit.degrade.degrade-type=sentinel
retrofit.degrade.resource-name-parser=com.github.lianjiatech.retrofit.spring.boot.degrade.DefaultResourceNameParser
retrofit.global-connect-timeout-ms=5000
retrofit.global-read-timeout-ms=5000
retrofit.global-write-timeout-ms=5000
retrofit.global-call-timeout-ms=0

# 超级前台 福利商城 生产环境
test.superdeskmall.flsc.baseUrl=https://fm.superdesk.cn/
test.superdeskmall.flsc.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.flsc.accessKeyId=root
test.superdeskmall.flsc.accessKeySecret=123456

# 侨城汇 福利商城 生产环境
test.superdeskmall.flscqch.baseUrl=https://welfarepre.octlife.cn/
test.superdeskmall.flscqch.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.flscqch.accessKeyId=root
test.superdeskmall.flscqch.accessKeySecret=123456

# 超级前台 企业内购 生产环境
test.superdeskmall.qyng.baseUrl=https://bm.superdesk.cn/
test.superdeskmall.qyng.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.qyng.accessKeyId=root
test.superdeskmall.qyng.accessKeySecret=123456

# 侨城汇 统一订单 生产环境
test.superdesk.uniorder.octlife.baseUrl=https://uniorderapi.octlife.cn/
test.superdesk.uniorder.octlife.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdesk.uniorder.octlife.accessKeyId=1
test.superdesk.uniorder.octlife.accessKeySecret=\u524d\u53f0\u4f18\u9009

# 超级前台 服务之窗 生产环境
test.superdesk.cloud.opendata.baseUrl=http://superdesk.avic-s.com/
test.superdesk.cloud.opendata.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdesk.cloud.opendata.accessKeyId=fwzcFiCI7Ulg854dOufU
test.superdesk.cloud.opendata.accessKeySecret=b8c4d9d706c71a08e2230d30f4b713720cb1be0f

# szhtxx.electronicInvoice 生产环境
openapi.call.thirdpart.szhtxx.electronicInvoice.baseUrl=https://ei.szhtxx.cn/aisinoDzfp/electronicInvoiceFunction
openapi.call.thirdpart.szhtxx.electronicInvoice.accessToken=8082870937bx+jmU78Emfg2JRdS6iqeQ==
openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeyId=914403003498131863
openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeySecret=8082870937bx+jmU78Emfg2JRdS6iqeQ==

